Botan: Botan::PK_Ops::Signature Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::PK_Ops::Signature Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Signature:

## Public Member Functions
virtual size_t | max_input_bits () const =0
virtual size_t | message_part_size () const
virtual size_t | message_parts () const
virtual SecureVector< byte > | sign (const byte msg[], size_t msg_len, RandomNumberGenerator &rng)=0
virtual | ~Signature ()

## Detailed Description

Public key signature creation interface

Definition at line 49 of file pk_ops.h.

## Constructor & Destructor Documentation

## ◆ ~Signature()

virtual Botan::PK_Ops::Signature::~Signature | ( |  | ) |
| inlinevirtual

Definition at line 79 of file pk_ops.h.

79 {}

## Member Function Documentation

## ◆ max_input_bits()

virtual size_t Botan::PK_Ops::Signature::max_input_bits | ( |  | ) | const
| pure virtual

Get the maximum message size in bits supported by this public key.

Returns
  maximum message in bits

Implemented in Botan::ECDSA_Signature_Operation, Botan::RSA_Private_Operation, Botan::DSA_Signature_Operation, Botan::RW_Signature_Operation, and Botan::NR_Signature_Operation.

## ◆ message_part_size()

virtual size_t Botan::PK_Ops::Signature::message_part_size | ( |  | ) | const
| inlinevirtual

Find out the message part size supported by this scheme/key.

Returns
  size of the message parts

Reimplemented in Botan::ECDSA_Signature_Operation, Botan::DSA_Signature_Operation, and Botan::NR_Signature_Operation.

Definition at line 62 of file pk_ops.h.

62 { return 0; }

## ◆ message_parts()

virtual size_t Botan::PK_Ops::Signature::message_parts | ( |  | ) | const
| inlinevirtual

Find out the number of message parts supported by this scheme.

Returns
  number of message parts

Reimplemented in Botan::ECDSA_Signature_Operation, Botan::DSA_Signature_Operation, and Botan::NR_Signature_Operation.

Definition at line 56 of file pk_ops.h.

56 { return 1; }

## ◆ sign()

virtual SecureVector<byte> Botan::PK_Ops::Signature::sign | ( | const byte | msg[],
|  | size_t | msg_len,
|  | RandomNumberGenerator & | rng
| ) |  |
| pure virtual

Implemented in Botan::ECDSA_Signature_Operation, Botan::RSA_Private_Operation, Botan::DSA_Signature_Operation, Botan::RW_Signature_Operation, and Botan::NR_Signature_Operation.

The documentation for this class was generated from the following file:

- src/pubkey/pk_ops.h